virt_to_phys
Prev | Chapter 5. Public Functions Provided | Next

## Name

virt_to_phys — map virtual addresses to physical

## Synopsis

`unsigned long virt_to_phys (` | volatile void * | address`)`;

## Arguments

`address`

  address to remap

## Description

The returned physical address is the physical (CPU) mapping for the memory address given. It is only valid to use this function on addresses directly mapped or allocated via kmalloc.

This function does not give bus mappings for DMA transfers. In almost all conceivable cases a device driver should not be using this function

Prev | Up | Next
Chapter 5. Public Functions Provided | Home | phys_to_virt